FruxonDocs
ApiAgentassetestimate

Estimates token count for a GitHub repository before ingestion.

POST
/v1/tenants/{tenant}/agents/{agent}/assets:github-estimate

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

GitHub connection details and repository.

repo*string

GitHub repository in 'owner/repo' format

Length1 <= length
token*string

GitHub personal access token with read access to the repository

Length1 <= length
ref?string|null

Git ref (branch, tag, or commit SHA). Defaults to the repo's default branch

[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:github-estimate" \  -H "Content-Type: application/json" \  -d '{    "repo": "string",    "token": "string"  }'
{
  "tokenCount": 0,
  "chunkCount": 0,
  "documentCount": 0,
  "documents": [
    {
      "fileName": "string",
      "tokenCount": 0,
      "chunkCount": 0
    }
  ]
}
Empty
Empty